---
lang: en
title: 'API docs: express.middlewareview._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/express
permalink: /doc/en/lb4/apidocs.express.middlewareview._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/express](./express.md) &gt; [MiddlewareView](./express.middlewareview.md) &gt; [(constructor)](./express.middlewareview._constructor_.md)

## MiddlewareView.(constructor)

Constructs a new instance of the `MiddlewareView` class

<b>Signature:</b>

```typescript
constructor(ctx: Context, options?: InvokeMiddlewareOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  ctx | [Context](./context.context.md) |  |
|  options | [InvokeMiddlewareOptions](./express.invokemiddlewareoptions.md) |  |


